org.modeshape.jcr.spi.index.provider

## Interface IndexFilter

-     @Immutable
      public interface IndexFilter

  The filter containing a set of constraints.

  Instances of this type are created by ModeShape and passed into the `Index.filter(IndexFilter)` method. Thus, providers do not need to implement this interface (except maybe for testing purposes).

  See Also:
    `Index.filter(IndexFilter)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Constraint>` | `getConstraints()` Get the constraints for this filter.
    `Map<String,Object>` | `getParameters()` Get the parameters for this filter operation, as determined during `IndexPlanner.applyIndexes(org.modeshape.jcr.query.QueryContext, org.modeshape.jcr.query.model.SelectorName, java.util.List<javax.jcr.query.qom.Constraint>, java.lang.Iterable<org.modeshape.jcr.spi.index.IndexDefinition>, org.modeshape.jcr.spi.index.IndexCollector)`
    `boolean` | `hasConstraints()` Return whether this filter contains constraints.

- - ### Method Detail

    - #### hasConstraints

          boolean hasConstraints()

      Return whether this filter contains constraints. This is identical to calling "`!getConstraints().isEmpty()` ".
      Returns:
        true if there is at least one constraint, or false if there are none

    - #### getConstraints

          Collection<Constraint> getConstraints()

      Get the constraints for this filter.
      Returns:
        the constraints; never null but maybe empty

    - #### getParameters

          Map<String,Object> getParameters()

      Get the parameters for this filter operation, as determined during `IndexPlanner.applyIndexes(org.modeshape.jcr.query.QueryContext, org.modeshape.jcr.query.model.SelectorName, java.util.List<javax.jcr.query.qom.Constraint>, java.lang.Iterable<org.modeshape.jcr.spi.index.IndexDefinition>, org.modeshape.jcr.spi.index.IndexCollector)`
      Returns:
        the parameters; never null but may be empty

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.